Skip to main content

Report Downloads


The Reporting API supports downloading completed reports.

For detailed information about reports, see Reports Available.

You cannot receive a report in more than one format.

Client Application Requirements

The client uses GET, POST, and PUT methods to send requests to the server. Include an authorization token in the header and specify the format for the report you want to download.

Your client application must support HTTPS (Transport Layer Security, TLS) for encrypted connections. Your client application must support HTTP/1.1 and TLS 1.2 connections.

HTTPS libraries are available for many programming languages, including Java, C/C++, Perl, and Visual Basic. You can implement a client in any language that allows you to use HTTPS to communicate with the report server.

Request Header

The default format for responses is JSON, but some reports can also return CSV or XML. You can set the response to return CSV or XML in the request header by setting the Accept value to either application/xml or text/csv. The report format can be set for these reports:

  • Conversion Detail
  • Purchase and Refund Detail
  • Chargeback Summary
  • Retrieval Summary
  • Chargeback Detail
  • Retrieval Detail
  • Interchange Clearing Level Detail

Download a Report by Criteria

To request a report, your client application must send an HTTP GET message to the report server. The URL that you specify in your message indicates which report you want to download. Format the URL like this:

GET /reporting/v3/report-downloads?organizationId={organizationId}&reportDate={reportDate}&reportName={reportName}

GET /reporting/v3/report-downloads?organizationId={organizationId}&reportDate={reportDate}&reportName={reportName}

GET /reporting/v3/report-downloads?organizationId={organizationId}&reportDate={reportDate}&reportName={reportName}

For example, for organization ID SampleMerchant, the URL to download the report from February 20, 2017, titled Sample Daily Report is:

GET https://{url_prefix}/reporting/v3/report-downloads?organizationId=SampleMerchant&reportDate=20170220&reportName=SampleDailyReport

URL Parameters

ParameterDescriptionRequired/Optional
{organizationId}The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID.Optional
{reportName}Unique name of the report subscription you want to create or edit.Required
{reportDate}The date of the report. For reports that span multiple days, this value is the end date of the report. Format: YYYYMMDDRequired

Search Available Reports

The API retrieves a list of reports that are generated and available for download. The request format is:

GET /reporting/v3/reports?startTime={startTime}&endTime={endTime}&timeQueryType={timeQueryType}

GET /reporting/v3/reports?startTime={startTime}&endTime={endTime}&timeQueryType={timeQueryType}

GET /reporting/v3/reports?startTime={startTime}&endTime={endTime}&timeQueryType={timeQueryType}

URL Parameters

ParameterDescriptionRequired/Optional
{organizationId}The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID.Optional
{startTime}Report start date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000ZRequired
{endTime}Report end date to search on in ISO 8601 format. Example: 2016-11-22T12:00:00.000ZRequired
{timeQueryType}Time range to search. Valid values: reportTimeFrame, executedTimeRequired
{reportMimeType}Format of the report. Valid values: application/xml, text/csvOptional
{reportFrequency}Frequency of the report subscription. Valid values: Daily, Weekly, Monthly, AdhocOptional
{reportName}Unique name of the report.Optional
{reportDefinitionId}Report definition ID.Optional
{reportStatus}Status of the report. Valid values: COMPLETED, PENDING, QUEUED, RUNNING, ERROR, NO_DATAOptional

Report status lifecycle

StatusMeaningRecommended action
COMPLETEDReport generation finished; the file is available for download.Download the report.
PENDINGRequest received; generation has not started.Poll again in a few minutes.
QUEUEDReport is waiting to be processed.Poll again in a few minutes.
RUNNINGReport is currently generating.Poll again in a few minutes.
ERRORReport generation failed.Review the report configuration and retry.
NO_DATAGeneration completed but no transactions matched the criteria.Verify the date range and report configuration.

Download a Report by Report ID

Reports can also be downloaded by report ID. The report ID is available in the response from a report search (see Search Available Reports). The URL format is:

GET /reporting/v3/reports/{reportId}?organizationId={organizationId}

GET /reporting/v3/reports/{reportId}?organizationId={organizationId}

GET /reporting/v3/reports/{reportId}?organizationId={organizationId}

URL Parameters

ParameterDescriptionRequired/Optional
{reportId}Report ID.Required
{organizationId}The organization ID under which the report is subscribed. This can be the merchant ID, account ID, or reseller ID.Optional

Responses

This request can return one of these HTTP status codes:

  • 200: OK
  • 400: Invalid request
  • 404: Report not found or no transactions are available

For detailed information on the responses, including which fields are returned, see the Field Reference.

Last published: September 29, 2026